All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.geometry
Class CircularOrientation

    com.sas.geometry.CircularOrientation

    public abstract class CircularOrientation

CircularOrientation defines a set of constants for identifying a position along a circular path and a method for determining whether a given integer is one of them.

See Also:
  `Orientations`, `Orientation`, `CornerOrientation`, `HorizontalOrientation`, `RectangularOrientation`, `SideOrientation`, `VerticalOrientation`

Field Summary
`static int` | `EAST`
`static int` | `NORTH`
`static int` | `NORTH_EAST`
`static int` | `NORTH_WEST`
`static int` | `SOUTH`
`static int` | `SOUTH_EAST`
`static int` | `SOUTH_WEST`
`static int` | `WEST`

Constructor Summary
`CircularOrientation()`

Method Summary
`static boolean` | `validate(int orientation)` Determines whether a given integer value is one of the defined orientations.
`static boolean` | `validateCombination(int orientation)` Determines whether a given integer value is a valid combination one or more of the defined orientations.

Field Detail

### NORTH

    public static final int NORTH

See Also:
  Constant Field Values

### SOUTH

    public static final int SOUTH

See Also:
  Constant Field Values

### EAST

    public static final int EAST

See Also:
  Constant Field Values

### WEST

    public static final int WEST

See Also:
  Constant Field Values

### NORTH_EAST

    public static final int NORTH_EAST

See Also:
  Constant Field Values

### NORTH_WEST

    public static final int NORTH_WEST

See Also:
  Constant Field Values

### SOUTH_EAST

    public static final int SOUTH_EAST

See Also:
  Constant Field Values

### SOUTH_WEST

    public static final int SOUTH_WEST

See Also:
  Constant Field Values

Constructor Detail

### CircularOrientation

    public CircularOrientation()

Method Detail

### validate

    public static boolean validate(int orientation)

  Determines whether a given integer value is one of the defined orientations.

  Parameters:
    `orientation` - The integer value to validate.
  Returns:
    true if orientation is one of the defined ones and false otherwise.

### validateCombination

    public static boolean validateCombination(int orientation)

  Determines whether a given integer value is a valid combination one or more of the defined orientations.

  Parameters:
    `orientation` - The integer value to validate.
  Returns:
    true if orientation is a combination of one or more of the defined orientations and false otherwise.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.